org.apache.geode.cache.configuration

## Class CacheConfig

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig

-     @Experimental
      public class CacheConfig
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cache-transaction-manager" type="{http://geode.apache.org/schema/cache}cache-transaction-manager-type" minOccurs="0"/>
               <element name="dynamic-region-factory" type="{http://geode.apache.org/schema/cache}dynamic-region-factory-type" minOccurs="0"/>
               <element name="gateway-hub" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="gateway" maxOccurs="unbounded" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <choice>
                                     <element name="gateway-endpoint" maxOccurs="unbounded">
                                       <complexType>
                                         <complexContent>
                                           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                             <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                             <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           </restriction>
                                         </complexContent>
                                       </complexType>
                                     </element>
                                     <element name="gateway-listener" maxOccurs="unbounded">
                                       <complexType>
                                         <complexContent>
                                           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                             <sequence>
                                               <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                               <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                                             </sequence>
                                           </restriction>
                                         </complexContent>
                                       </complexType>
                                     </element>
                                   </choice>
                                   <element name="gateway-queue" minOccurs="0">
                                     <complexType>
                                       <complexContent>
                                         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                           <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           <attribute name="batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                           <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                           <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                           <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
                                         </restriction>
                                       </complexContent>
                                     </complexType>
                                   </element>
                                 </sequence>
                                 <attribute name="early-ack" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                 <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="concurrency-level" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                       <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="port" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="startup-policy">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="primary"/>
                             <enumeration value="secondary"/>
                             <enumeration value="none"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                       <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="max-connections" type="{http://www.w3.org/2001/XMLSchema}integer" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="gateway-sender" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="gateway-event-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
                         <element name="gateway-event-substitution-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" minOccurs="0"/>
                         <element name="gateway-transport-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                       <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="remote-distributed-system-id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="parallel" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="enable-batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="dispatcher-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="gateway-receiver" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="gateway-transport-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                       <attribute name="start-port" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="end-port" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="hostname-for-senders" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="gateway-conflict-resolver" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="async-event-queue" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="gateway-event-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
                         <element name="gateway-event-substitution-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" minOccurs="0"/>
                         <element name="async-event-listener" type="{http://geode.apache.org/schema/cache}class-with-parameters-type"/>
                       </sequence>
                       <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="parallel" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="enable-batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="persistent" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="dispatcher-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="forward-expiration-destroy" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="cache-server" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <extension base="{http://geode.apache.org/schema/cache}server-type">
                       <attribute name="tcp-no-delay" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     </extension>
                   </complexContent>
                 </complexType>
               </element>
               <element name="pool" type="{http://geode.apache.org/schema/cache}pool-type" maxOccurs="unbounded" minOccurs="0"/>
               <element name="disk-store" type="{http://geode.apache.org/schema/cache}disk-store-type" maxOccurs="unbounded" minOccurs="0"/>
               <element name="pdx" type="{http://geode.apache.org/schema/cache}pdx-type" minOccurs="0"/>
               <element name="region-attributes" type="{http://geode.apache.org/schema/cache}region-attributes-type" maxOccurs="unbounded" minOccurs="0"/>
               <choice maxOccurs="unbounded" minOccurs="0">
                 <element name="jndi-bindings" type="{http://geode.apache.org/schema/cache}jndi-bindings-type"/>
                 <element name="region" type="{http://geode.apache.org/schema/cache}region-type"/>
                 <element name="vm-root-region" type="{http://geode.apache.org/schema/cache}region-type"/>
               </choice>
               <element name="function-service" type="{http://geode.apache.org/schema/cache}function-service-type" minOccurs="0"/>
               <element name="resource-manager" type="{http://geode.apache.org/schema/cache}resource-manager-type" minOccurs="0"/>
               <element name="serialization-registration" type="{http://geode.apache.org/schema/cache}serialization-registration-type" minOccurs="0"/>
               <element name="backup" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="initializer" type="{http://geode.apache.org/schema/cache}initializer-type" minOccurs="0"/>
               <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="copy-on-read" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="is-server" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="lock-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="lock-lease" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="message-sync-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="search-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="version" use="required" type="{http://geode.apache.org/schema/cache}versionType" fixed="1.0" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CacheConfig.AsyncEventQueue` Java class for anonymous complex type.
    `static class` | `CacheConfig.CacheServer` Java class for anonymous complex type.
    `static class` | `CacheConfig.GatewayHub` Java class for anonymous complex type.
    `static class` | `CacheConfig.GatewayReceiver` Java class for anonymous complex type.
    `static class` | `CacheConfig.GatewaySender` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CacheConfig.AsyncEventQueue>` | `asyncEventQueues`
    `protected java.util.List<java.lang.String>` | `backups`
    `protected java.util.List<CacheElement>` | `cacheElements`
    `protected java.util.List<CacheConfig.CacheServer>` | `cacheServers`
    `protected CacheTransactionManagerType` | `cacheTransactionManager`
    `protected java.lang.Boolean` | `copyOnRead`
    `protected java.util.List<DiskStoreType>` | `diskStores`
    `protected DynamicRegionFactoryType` | `dynamicRegionFactory`
    `protected FunctionServiceType` | `functionService`
    `protected DeclarableType` | `gatewayConflictResolver`
    `protected java.util.List<CacheConfig.GatewayHub>` | `gatewayHubs`
    `protected CacheConfig.GatewayReceiver` | `gatewayReceiver`
    `protected java.util.List<CacheConfig.GatewaySender>` | `gatewaySenders`
    `protected DeclarableType` | `initializer`
    `protected java.lang.Boolean` | `isServer`
    `protected JndiBindingsType` | `jndiBindings`
    `protected java.lang.String` | `lockLease`
    `protected java.lang.String` | `lockTimeout`
    `protected java.lang.String` | `messageSyncInterval`
    `protected PdxType` | `pdx`
    `protected java.util.List<PoolType>` | `pools`
    `protected java.util.List<RegionAttributesType>` | `regionAttributes`
    `protected java.util.List<RegionConfig>` | `regions`
    `protected ResourceManagerType` | `resourceManager`
    `protected java.lang.String` | `searchTimeout`
    `protected SerializationRegistrationType` | `serializationRegistration`
    `protected java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheConfig()`
    `CacheConfig(java.lang.String version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends CacheElement> T` | `findCustomCacheElement(java.lang.String elementId, java.lang.Class<T> classT)`
    `<T extends CacheElement> java.util.List<T>` | `findCustomCacheElements(java.lang.Class<T> classT)`
    `<T extends CacheElement> T` | `findCustomRegionElement(java.lang.String regionPath, java.lang.String elementId, java.lang.Class<T> classT)`
    `<T extends CacheElement> java.util.List<T>` | `findCustomRegionElements(java.lang.String regionPath, java.lang.Class<T> classT)`
    `RegionConfig` | `findRegionConfiguration(java.lang.String regionPath)`
    `java.util.List<CacheConfig.AsyncEventQueue>` | `getAsyncEventQueues()` Gets the value of the asyncEventQueues property.
    `java.util.List<java.lang.String>` | `getBackups()` Gets the value of the backup property.
    `java.util.List<CacheConfig.CacheServer>` | `getCacheServers()` Gets the value of the cacheServers property.
    `CacheTransactionManagerType` | `getCacheTransactionManager()` Gets the value of the cacheTransactionManager property.
    `java.util.List<CacheElement>` | `getCustomCacheElements()` Gets the value of the any property.
    `java.util.List<DiskStoreType>` | `getDiskStores()` Gets the value of the diskStore property.
    `DynamicRegionFactoryType` | `getDynamicRegionFactory()` Gets the value of the dynamicRegionFactory property.
    `FunctionServiceType` | `getFunctionService()` Gets the value of the functionService property.
    `DeclarableType` | `getGatewayConflictResolver()` Gets the value of the gatewayConflictResolver property.
    `java.util.List<CacheConfig.GatewayHub>` | `getGatewayHubs()` Gets the value of the gatewayHubs property.
    `CacheConfig.GatewayReceiver` | `getGatewayReceiver()` Gets the value of the gatewayReceiver property.
    `java.util.List<CacheConfig.GatewaySender>` | `getGatewaySenders()` Gets the value of the gatewaySenders property.
    `DeclarableType` | `getInitializer()` Gets the value of the initializer property.
    `java.util.List<JndiBindingsType.JndiBinding>` | `getJndiBindings()` Gets the value of the jndiBindings property.
    `java.lang.String` | `getLockLease()` Gets the value of the lockLease property.
    `java.lang.String` | `getLockTimeout()` Gets the value of the lockTimeout property.
    `java.lang.String` | `getMessageSyncInterval()` Gets the value of the messageSyncInterval property.
    `PdxType` | `getPdx()` Gets the value of the pdx property.
    `java.util.List<PoolType>` | `getPools()` Gets the value of the pool property.
    `java.util.List<RegionAttributesType>` | `getRegionAttributes()` Gets the value of the regionAttributes property.
    `java.util.List<RegionConfig>` | `getRegions()` Gets the value of the region property.
    `ResourceManagerType` | `getResourceManager()` Gets the value of the resourceManager property.
    `java.lang.String` | `getSearchTimeout()` Gets the value of the searchTimeout property.
    `SerializationRegistrationType` | `getSerializationRegistration()` Gets the value of the serializationRegistration property.
    `java.lang.String` | `getVersion()` Gets the value of the version property.
    `java.lang.Boolean` | `isCopyOnRead()` Gets the value of the copyOnRead property.
    `java.lang.Boolean` | `isIsServer()` Gets the value of the isServer property.
    `void` | `setCacheTransactionManager(CacheTransactionManagerType value)` Sets the value of the cacheTransactionManager property.
    `void` | `setCopyOnRead(java.lang.Boolean value)` Sets the value of the copyOnRead property.
    `void` | `setDynamicRegionFactory(DynamicRegionFactoryType value)` Sets the value of the dynamicRegionFactory property.
    `void` | `setFunctionService(FunctionServiceType value)` Sets the value of the functionService property.
    `void` | `setGatewayConflictResolver(DeclarableType value)` Sets the value of the gatewayConflictResolver property.
    `void` | `setGatewayReceiver(CacheConfig.GatewayReceiver value)` Sets the value of the gatewayReceiver property.
    `void` | `setInitializer(DeclarableType value)` Sets the value of the initializer property.
    `void` | `setIsServer(java.lang.Boolean value)` Sets the value of the isServer property.
    `void` | `setLockLease(java.lang.String value)` Sets the value of the lockLease property.
    `void` | `setLockTimeout(java.lang.String value)` Sets the value of the lockTimeout property.
    `void` | `setMessageSyncInterval(java.lang.String value)` Sets the value of the messageSyncInterval property.
    `void` | `setPdx(PdxType value)` Sets the value of the pdx property.
    `void` | `setResourceManager(ResourceManagerType value)` Sets the value of the resourceManager property.
    `void` | `setSearchTimeout(java.lang.String value)` Sets the value of the searchTimeout property.
    `void` | `setSerializationRegistration(SerializationRegistrationType value)` Sets the value of the serializationRegistration property.
    `void` | `setVersion(java.lang.String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cacheTransactionManager

          protected CacheTransactionManagerType cacheTransactionManager

    - #### dynamicRegionFactory

          protected DynamicRegionFactoryType dynamicRegionFactory

    - #### gatewayHubs

          protected java.util.List<CacheConfig.GatewayHub> gatewayHubs

    - #### gatewaySenders

          protected java.util.List<CacheConfig.GatewaySender> gatewaySenders

    - #### gatewayReceiver

          protected CacheConfig.GatewayReceiver gatewayReceiver

    - #### gatewayConflictResolver

          protected DeclarableType gatewayConflictResolver

    - #### asyncEventQueues

          protected java.util.List<CacheConfig.AsyncEventQueue> asyncEventQueues

    - #### cacheServers

          protected java.util.List<CacheConfig.CacheServer> cacheServers

    - #### pools

          protected java.util.List<PoolType> pools

    - #### diskStores

          protected java.util.List<DiskStoreType> diskStores

    - #### pdx

          protected PdxType pdx

    - #### regionAttributes

          protected java.util.List<RegionAttributesType> regionAttributes

    - #### jndiBindings

          protected JndiBindingsType jndiBindings

    - #### regions

          protected java.util.List<RegionConfig> regions

    - #### functionService

          protected FunctionServiceType functionService

    - #### resourceManager

          protected ResourceManagerType resourceManager

    - #### serializationRegistration

          protected SerializationRegistrationType serializationRegistration

    - #### backups

          protected java.util.List<java.lang.String> backups

    - #### initializer

          protected DeclarableType initializer

    - #### cacheElements

          protected java.util.List<CacheElement> cacheElements

    - #### copyOnRead

          protected java.lang.Boolean copyOnRead

    - #### isServer

          protected java.lang.Boolean isServer

    - #### lockTimeout

          protected java.lang.String lockTimeout

    - #### lockLease

          protected java.lang.String lockLease

    - #### messageSyncInterval

          protected java.lang.String messageSyncInterval

    - #### searchTimeout

          protected java.lang.String searchTimeout

    - #### version

          protected java.lang.String version

  - ### Constructor Detail

    - #### CacheConfig

          public CacheConfig()

    - #### CacheConfig

          public CacheConfig(java.lang.String version)

  - ### Method Detail

    - #### getCacheTransactionManager

          public CacheTransactionManagerType getCacheTransactionManager()

      Gets the value of the cacheTransactionManager property. possible object is `CacheTransactionManagerType`

    - #### setCacheTransactionManager

          public void setCacheTransactionManager(CacheTransactionManagerType value)

      Sets the value of the cacheTransactionManager property. allowed object is `CacheTransactionManagerType`

    - #### getDynamicRegionFactory

          public DynamicRegionFactoryType getDynamicRegionFactory()

      Gets the value of the dynamicRegionFactory property. possible object is `DynamicRegionFactoryType`

    - #### setDynamicRegionFactory

          public void setDynamicRegionFactory(DynamicRegionFactoryType value)

      Sets the value of the dynamicRegionFactory property. allowed object is `DynamicRegionFactoryType`

    - #### getGatewayHubs

          public java.util.List<CacheConfig.GatewayHub> getGatewayHubs()

      Gets the value of the gatewayHubs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayHubs property.

      For example, to add a new item, do as follows:

           getGatewayHubs().add(newItem);

      Objects of the following type(s) are allowed in the list `CacheConfig.GatewayHub`

    - #### getGatewaySenders

          public java.util.List<CacheConfig.GatewaySender> getGatewaySenders()

      Gets the value of the gatewaySenders property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewaySenders property.

      For example, to add a new item, do as follows:

           getGatewaySenders().add(newItem);

      Objects of the following type(s) are allowed in the list `CacheConfig.GatewaySender`

    - #### getGatewayReceiver

          public CacheConfig.GatewayReceiver getGatewayReceiver()

      Gets the value of the gatewayReceiver property. possible object is `CacheConfig.GatewayReceiver`

    - #### setGatewayReceiver

          public void setGatewayReceiver(CacheConfig.GatewayReceiver value)

      Sets the value of the gatewayReceiver property. allowed object is `CacheConfig.GatewayReceiver`

    - #### getGatewayConflictResolver

          public DeclarableType getGatewayConflictResolver()

      Gets the value of the gatewayConflictResolver property. possible object is `DeclarableType`

    - #### setGatewayConflictResolver

          public void setGatewayConflictResolver(DeclarableType value)

      Sets the value of the gatewayConflictResolver property. allowed object is `DeclarableType`

    - #### getAsyncEventQueues

          public java.util.List<CacheConfig.AsyncEventQueue> getAsyncEventQueues()

      Gets the value of the asyncEventQueues property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the asyncEventQueues property.

      For example, to add a new item, do as follows:

           getAsyncEventQueues().add(newItem);

      Objects of the following type(s) are allowed in the list `CacheConfig.AsyncEventQueue`

    - #### getCacheServers

          public java.util.List<CacheConfig.CacheServer> getCacheServers()

      Gets the value of the cacheServers property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cacheServers property.

      For example, to add a new item, do as follows:

           getCacheServers().add(newItem);

      Objects of the following type(s) are allowed in the list `CacheConfig.CacheServer`

    - #### getPools

          public java.util.List<PoolType> getPools()

      Gets the value of the pool property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pool property.

      For example, to add a new item, do as follows:

           getPools().add(newItem);

      Objects of the following type(s) are allowed in the list `PoolType`

    - #### getDiskStores

          public java.util.List<DiskStoreType> getDiskStores()

      Gets the value of the diskStore property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the diskStore property.

      For example, to add a new item, do as follows:

           getDiskStores().add(newItem);

      Objects of the following type(s) are allowed in the list `DiskStoreType`

    - #### getPdx

          public PdxType getPdx()

      Gets the value of the pdx property. possible object is `PdxType`

    - #### setPdx

          public void setPdx(PdxType value)

      Sets the value of the pdx property. allowed object is `PdxType`

    - #### getRegionAttributes

          public java.util.List<RegionAttributesType> getRegionAttributes()

      Gets the value of the regionAttributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the regionAttributes property.

      For example, to add a new item, do as follows:

           getRegionAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `RegionAttributesType`

    - #### getJndiBindings

          public java.util.List<JndiBindingsType.JndiBinding> getJndiBindings()

      Gets the value of the jndiBindings property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the jndiBindings property.

      For example, to add a new item, do as follows:

           getJndiBindings().add(newItem);

      Objects of the following type(s) are allowed in the list `JndiBindingsType`

    - #### getRegions

          public java.util.List<RegionConfig> getRegions()

      Gets the value of the region property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the region property.

      For example, to add a new item, do as follows:

           getRegions().add(newItem);

      Objects of the following type(s) are allowed in the list `RegionConfig`

    - #### getFunctionService

          public FunctionServiceType getFunctionService()

      Gets the value of the functionService property. possible object is `FunctionServiceType`

    - #### setFunctionService

          public void setFunctionService(FunctionServiceType value)

      Sets the value of the functionService property. allowed object is `FunctionServiceType`

    - #### getResourceManager

          public ResourceManagerType getResourceManager()

      Gets the value of the resourceManager property. possible object is `ResourceManagerType`

    - #### setResourceManager

          public void setResourceManager(ResourceManagerType value)

      Sets the value of the resourceManager property. allowed object is `ResourceManagerType`

    - #### getSerializationRegistration

          public SerializationRegistrationType getSerializationRegistration()

      Gets the value of the serializationRegistration property. possible object is `SerializationRegistrationType`

    - #### setSerializationRegistration

          public void setSerializationRegistration(SerializationRegistrationType value)

      Sets the value of the serializationRegistration property. allowed object is `SerializationRegistrationType`

    - #### getBackups

          public java.util.List<java.lang.String> getBackups()

      Gets the value of the backup property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the backup property.

      For example, to add a new item, do as follows:

           getBackups().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getInitializer

          public DeclarableType getInitializer()

      Gets the value of the initializer property. possible object is `DeclarableType`

    - #### setInitializer

          public void setInitializer(DeclarableType value)

      Sets the value of the initializer property. allowed object is `DeclarableType`

    - #### getCustomCacheElements

          public java.util.List<CacheElement> getCustomCacheElements()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

           getCustomCacheElements().add(newItem);

      Objects of the following type(s) are allowed in the list `Element` `CacheElement`

    - #### isCopyOnRead

          public java.lang.Boolean isCopyOnRead()

      Gets the value of the copyOnRead property. possible object is `Boolean`

    - #### setCopyOnRead

          public void setCopyOnRead(java.lang.Boolean value)

      Sets the value of the copyOnRead property. allowed object is `Boolean`

    - #### isIsServer

          public java.lang.Boolean isIsServer()

      Gets the value of the isServer property. possible object is `Boolean`

    - #### setIsServer

          public void setIsServer(java.lang.Boolean value)

      Sets the value of the isServer property. allowed object is `Boolean`

    - #### getLockTimeout

          public java.lang.String getLockTimeout()

      Gets the value of the lockTimeout property. possible object is `String`

    - #### setLockTimeout

          public void setLockTimeout(java.lang.String value)

      Sets the value of the lockTimeout property. allowed object is `String`

    - #### getLockLease

          public java.lang.String getLockLease()

      Gets the value of the lockLease property. possible object is `String`

    - #### setLockLease

          public void setLockLease(java.lang.String value)

      Sets the value of the lockLease property. allowed object is `String`

    - #### getMessageSyncInterval

          public java.lang.String getMessageSyncInterval()

      Gets the value of the messageSyncInterval property. possible object is `String`

    - #### setMessageSyncInterval

          public void setMessageSyncInterval(java.lang.String value)

      Sets the value of the messageSyncInterval property. allowed object is `String`

    - #### getSearchTimeout

          public java.lang.String getSearchTimeout()

      Gets the value of the searchTimeout property. possible object is `String`

    - #### setSearchTimeout

          public void setSearchTimeout(java.lang.String value)

      Sets the value of the searchTimeout property. allowed object is `String`

    - #### getVersion

          public java.lang.String getVersion()

      Gets the value of the version property. possible object is `String`

    - #### setVersion

          public void setVersion(java.lang.String value)

      Sets the value of the version property. allowed object is `String`

    - #### findRegionConfiguration

          public RegionConfig findRegionConfiguration(java.lang.String regionPath)

    - #### findCustomCacheElements

          public <T extends CacheElement> java.util.List<T> findCustomCacheElements(java.lang.Class<T> classT)

    - #### findCustomCacheElement

          public <T extends CacheElement> T findCustomCacheElement(java.lang.String elementId,
                                                                   java.lang.Class<T> classT)

    - #### findCustomRegionElements

          public <T extends CacheElement> java.util.List<T> findCustomRegionElements(java.lang.String regionPath,
                                                                                     java.lang.Class<T> classT)

    - #### findCustomRegionElement

          public <T extends CacheElement> T findCustomRegionElement(java.lang.String regionPath,
                                                                    java.lang.String elementId,
                                                                    java.lang.Class<T> classT)